Package com.ocient.jdbc.proto

# Class ClientWireProtocol.LocalQueries.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LocalQueries.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.LocalQueries.Builder

All Implemented Interfaces:
  `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `ClientWireProtocol.LocalQueriesOrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.LocalQueries

public static final class ClientWireProtocol.LocalQueries.Builder extends GeneratedMessageV3.Builder<ClientWireProtocol.LocalQueries.Builder> implements ClientWireProtocol.LocalQueriesOrBuilder
Protobuf type `xg.cmdcomp.LocalQueries`

## Method Summary

Modifier and Type
Method
Description
`ClientWireProtocol.LocalQueries`
`build()`
Constructs the message based on the state of the Builder.
`ClientWireProtocol.LocalQueries`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`ClientWireProtocol.LocalQueries.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`ClientWireProtocol.LocalQueries.Builder`
`clearCompleted()`
true if we should return rows for completed queries
`ClientWireProtocol.LocalQueries.Builder`
`clearDatabase()`
`string database = 3;`
`ClientWireProtocol.LocalQueries.Builder`
`clearIdentity()`
Deprecated.
xg.cmdcomp.LocalQueries.identity is deprecated.
`ClientWireProtocol.LocalQueries.Builder`
`clearIssuerCertificate()`
Deprecated.
xg.cmdcomp.LocalQueries.issuer_certificate is deprecated.
`ClientWireProtocol.LocalQueries.Builder`
`clearIssuerFingerprint()`
`bytes issuer_fingerprint = 7;`
`ClientWireProtocol.LocalQueries.Builder`
`clearOneIdentityOption()`
`ClientWireProtocol.LocalQueries.Builder`
`clearSignature()`
Deprecated.
xg.cmdcomp.LocalQueries.signature is deprecated.
`ClientWireProtocol.LocalQueries.Builder`
`clearToken()`
`bytes token = 4;`
`ClientWireProtocol.LocalQueries.Builder`
`clearUser()`
Deprecated.
xg.cmdcomp.LocalQueries.user is deprecated.
`ClientWireProtocol.LocalQueries.Builder`
`clearUsername()`
Deprecated.
xg.cmdcomp.LocalQueries.username is deprecated.
`ClientWireProtocol.LocalQueries.Builder`
`clearUuidIdentity()`
Deprecated.
xg.cmdcomp.LocalQueries.uuid_identity is deprecated.
`boolean`
`getCompleted()`
true if we should return rows for completed queries
`String`
`getDatabase()`
`string database = 3;`
`ByteString`
`getDatabaseBytes()`
`string database = 3;`
`ClientWireProtocol.LocalQueries`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`int`
`getIdentity()`
Deprecated.
xg.cmdcomp.LocalQueries.identity is deprecated.
`ByteString`
`getIssuerCertificate()`
Deprecated.
xg.cmdcomp.LocalQueries.issuer_certificate is deprecated.
`ByteString`
`getIssuerFingerprint()`
`bytes issuer_fingerprint = 7;`
`ClientWireProtocol.LocalQueries.OneIdentityOptionCase`
`getOneIdentityOptionCase()`
`ByteString`
`getSignature()`
Deprecated.
xg.cmdcomp.LocalQueries.signature is deprecated.
`ByteString`
`getToken()`
`bytes token = 4;`
`ByteString`
`getUser()`
Deprecated.
xg.cmdcomp.LocalQueries.user is deprecated.
`ByteString`
`getUsername()`
Deprecated.
xg.cmdcomp.LocalQueries.username is deprecated.
`ByteString`
`getUuidIdentity()`
Deprecated.
xg.cmdcomp.LocalQueries.uuid_identity is deprecated.
`boolean`
`hasUuidIdentity()`
Deprecated.
xg.cmdcomp.LocalQueries.uuid_identity is deprecated.
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`ClientWireProtocol.LocalQueries.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`ClientWireProtocol.LocalQueries.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`ClientWireProtocol.LocalQueries.Builder`
`mergeFrom(ClientWireProtocol.LocalQueries other)`
`final ClientWireProtocol.LocalQueries.Builder`
`mergeUnknownFields(UnknownFieldSet unknownFields)`
Merge some unknown fields into the `UnknownFieldSet` for this message.
`ClientWireProtocol.LocalQueries.Builder`
`setCompleted(boolean value)`
true if we should return rows for completed queries
`ClientWireProtocol.LocalQueries.Builder`
`setDatabase(String value)`
`string database = 3;`
`ClientWireProtocol.LocalQueries.Builder`
`setDatabaseBytes(ByteString value)`
`string database = 3;`
`ClientWireProtocol.LocalQueries.Builder`
`setIdentity(int value)`
Deprecated.
xg.cmdcomp.LocalQueries.identity is deprecated.
`ClientWireProtocol.LocalQueries.Builder`
`setIssuerCertificate(ByteString value)`
Deprecated.
xg.cmdcomp.LocalQueries.issuer_certificate is deprecated.
`ClientWireProtocol.LocalQueries.Builder`
`setIssuerFingerprint(ByteString value)`
`bytes issuer_fingerprint = 7;`
`ClientWireProtocol.LocalQueries.Builder`
`setSignature(ByteString value)`
Deprecated.
xg.cmdcomp.LocalQueries.signature is deprecated.
`ClientWireProtocol.LocalQueries.Builder`
`setToken(ByteString value)`
`bytes token = 4;`
`final ClientWireProtocol.LocalQueries.Builder`
`setUnknownFields(UnknownFieldSet unknownFields)`
Set the `UnknownFieldSet` for this message.
`ClientWireProtocol.LocalQueries.Builder`
`setUser(ByteString value)`
Deprecated.
xg.cmdcomp.LocalQueries.user is deprecated.
`ClientWireProtocol.LocalQueries.Builder`
`setUsername(ByteString value)`
Deprecated.
xg.cmdcomp.LocalQueries.username is deprecated.
`ClientWireProtocol.LocalQueries.Builder`
`setUuidIdentity(ByteString value)`
Deprecated.
xg.cmdcomp.LocalQueries.uuid_identity is deprecated.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<ClientWireProtocol.LocalQueries.Builder>`

### clear

public ClientWireProtocol.LocalQueries.Builder clear()
Description copied from class: `GeneratedMessageV3.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessageV3.Builder<ClientWireProtocol.LocalQueries.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessageV3.Builder<ClientWireProtocol.LocalQueries.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.LocalQueries getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public ClientWireProtocol.LocalQueries build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public ClientWireProtocol.LocalQueries buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public ClientWireProtocol.LocalQueries.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ClientWireProtocol.LocalQueries.Builder>`

### mergeFrom

public ClientWireProtocol.LocalQueries.Builder mergeFrom(ClientWireProtocol.LocalQueries other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3.Builder<ClientWireProtocol.LocalQueries.Builder>`

### mergeFrom

public ClientWireProtocol.LocalQueries.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ClientWireProtocol.LocalQueries.Builder>`
Throws:
  `InvalidProtocolBufferException` - the bytes read are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.
  `IOException` - an I/O error reading from the stream

### getOneIdentityOptionCase

public ClientWireProtocol.LocalQueries.OneIdentityOptionCase getOneIdentityOptionCase()

Specified by:
  `getOneIdentityOptionCase` in interface `ClientWireProtocol.LocalQueriesOrBuilder`

### clearOneIdentityOption

public ClientWireProtocol.LocalQueries.Builder clearOneIdentityOption()

### getIdentity

@Deprecated public int getIdentity()
Deprecated.
xg.cmdcomp.LocalQueries.identity is deprecated. See sharedMessages/clientWireProtocol.proto;l=411

     Same data as md::objectId object
     Ideally would like to import objectId proto object, but proto lives in libxgsysnconfig

`int32 identity = 1 [deprecated = true];`

Specified by:
  `getIdentity` in interface `ClientWireProtocol.LocalQueriesOrBuilder`
Returns:
  The identity.

### setIdentity

@Deprecated public ClientWireProtocol.LocalQueries.Builder setIdentity(int value)
Deprecated.
xg.cmdcomp.LocalQueries.identity is deprecated. See sharedMessages/clientWireProtocol.proto;l=411

     Same data as md::objectId object
     Ideally would like to import objectId proto object, but proto lives in libxgsysnconfig

`int32 identity = 1 [deprecated = true];`

Parameters:
  `value` - The identity to set.
Returns:
  This builder for chaining.

### clearIdentity

@Deprecated public ClientWireProtocol.LocalQueries.Builder clearIdentity()
Deprecated.
xg.cmdcomp.LocalQueries.identity is deprecated. See sharedMessages/clientWireProtocol.proto;l=411

     Same data as md::objectId object
     Ideally would like to import objectId proto object, but proto lives in libxgsysnconfig

`int32 identity = 1 [deprecated = true];`

Returns:
  This builder for chaining.

### hasUuidIdentity

@Deprecated public boolean hasUuidIdentity()
Deprecated.
xg.cmdcomp.LocalQueries.uuid_identity is deprecated. See sharedMessages/clientWireProtocol.proto;l=413
`bytes uuid_identity = 2 [deprecated = true];`

Specified by:
  `hasUuidIdentity` in interface `ClientWireProtocol.LocalQueriesOrBuilder`
Returns:
  Whether the uuidIdentity field is set.

### getUuidIdentity

@Deprecated public ByteString getUuidIdentity()
Deprecated.
xg.cmdcomp.LocalQueries.uuid_identity is deprecated. See sharedMessages/clientWireProtocol.proto;l=413
`bytes uuid_identity = 2 [deprecated = true];`

Specified by:
  `getUuidIdentity` in interface `ClientWireProtocol.LocalQueriesOrBuilder`
Returns:
  The uuidIdentity.

### setUuidIdentity

@Deprecated public ClientWireProtocol.LocalQueries.Builder setUuidIdentity(ByteString value)
Deprecated.
xg.cmdcomp.LocalQueries.uuid_identity is deprecated. See sharedMessages/clientWireProtocol.proto;l=413
`bytes uuid_identity = 2 [deprecated = true];`

Parameters:
  `value` - The uuidIdentity to set.
Returns:
  This builder for chaining.

### clearUuidIdentity

@Deprecated public ClientWireProtocol.LocalQueries.Builder clearUuidIdentity()
Deprecated.
xg.cmdcomp.LocalQueries.uuid_identity is deprecated. See sharedMessages/clientWireProtocol.proto;l=413
`bytes uuid_identity = 2 [deprecated = true];`

Returns:
  This builder for chaining.

### getDatabase

public String getDatabase()
`string database = 3;`

Specified by:
  `getDatabase` in interface `ClientWireProtocol.LocalQueriesOrBuilder`
Returns:
  The database.

### getDatabaseBytes

public ByteString getDatabaseBytes()
`string database = 3;`

Specified by:
  `getDatabaseBytes` in interface `ClientWireProtocol.LocalQueriesOrBuilder`
Returns:
  The bytes for database.

### setDatabase

public ClientWireProtocol.LocalQueries.Builder setDatabase(String value)
`string database = 3;`

Parameters:
  `value` - The database to set.
Returns:
  This builder for chaining.

### clearDatabase

public ClientWireProtocol.LocalQueries.Builder clearDatabase()
`string database = 3;`

Returns:
  This builder for chaining.

### setDatabaseBytes

public ClientWireProtocol.LocalQueries.Builder setDatabaseBytes(ByteString value)
`string database = 3;`

Parameters:
  `value` - The bytes for database to set.
Returns:
  This builder for chaining.

### getToken

public ByteString getToken()
`bytes token = 4;`

Specified by:
  `getToken` in interface `ClientWireProtocol.LocalQueriesOrBuilder`
Returns:
  The token.

### setToken

public ClientWireProtocol.LocalQueries.Builder setToken(ByteString value)
`bytes token = 4;`

Parameters:
  `value` - The token to set.
Returns:
  This builder for chaining.

### clearToken

public ClientWireProtocol.LocalQueries.Builder clearToken()
`bytes token = 4;`

Returns:
  This builder for chaining.

### getSignature

@Deprecated public ByteString getSignature()
Deprecated.
xg.cmdcomp.LocalQueries.signature is deprecated. See sharedMessages/clientWireProtocol.proto;l=418
`bytes signature = 5 [deprecated = true];`

Specified by:
  `getSignature` in interface `ClientWireProtocol.LocalQueriesOrBuilder`
Returns:
  The signature.

### setSignature

@Deprecated public ClientWireProtocol.LocalQueries.Builder setSignature(ByteString value)
Deprecated.
xg.cmdcomp.LocalQueries.signature is deprecated. See sharedMessages/clientWireProtocol.proto;l=418
`bytes signature = 5 [deprecated = true];`

Parameters:
  `value` - The signature to set.
Returns:
  This builder for chaining.

### clearSignature

@Deprecated public ClientWireProtocol.LocalQueries.Builder clearSignature()
Deprecated.
xg.cmdcomp.LocalQueries.signature is deprecated. See sharedMessages/clientWireProtocol.proto;l=418
`bytes signature = 5 [deprecated = true];`

Returns:
  This builder for chaining.

### getIssuerCertificate

@Deprecated public ByteString getIssuerCertificate()
Deprecated.
xg.cmdcomp.LocalQueries.issuer_certificate is deprecated. See sharedMessages/clientWireProtocol.proto;l=419
`bytes issuer_certificate = 6 [deprecated = true];`

Specified by:
  `getIssuerCertificate` in interface `ClientWireProtocol.LocalQueriesOrBuilder`
Returns:
  The issuerCertificate.

### setIssuerCertificate

@Deprecated public ClientWireProtocol.LocalQueries.Builder setIssuerCertificate(ByteString value)
Deprecated.
xg.cmdcomp.LocalQueries.issuer_certificate is deprecated. See sharedMessages/clientWireProtocol.proto;l=419
`bytes issuer_certificate = 6 [deprecated = true];`

Parameters:
  `value` - The issuerCertificate to set.
Returns:
  This builder for chaining.

### clearIssuerCertificate

@Deprecated public ClientWireProtocol.LocalQueries.Builder clearIssuerCertificate()
Deprecated.
xg.cmdcomp.LocalQueries.issuer_certificate is deprecated. See sharedMessages/clientWireProtocol.proto;l=419
`bytes issuer_certificate = 6 [deprecated = true];`

Returns:
  This builder for chaining.

### getIssuerFingerprint

public ByteString getIssuerFingerprint()
`bytes issuer_fingerprint = 7;`

Specified by:
  `getIssuerFingerprint` in interface `ClientWireProtocol.LocalQueriesOrBuilder`
Returns:
  The issuerFingerprint.

### setIssuerFingerprint

public ClientWireProtocol.LocalQueries.Builder setIssuerFingerprint(ByteString value)
`bytes issuer_fingerprint = 7;`

Parameters:
  `value` - The issuerFingerprint to set.
Returns:
  This builder for chaining.

### clearIssuerFingerprint

public ClientWireProtocol.LocalQueries.Builder clearIssuerFingerprint()
`bytes issuer_fingerprint = 7;`

Returns:
  This builder for chaining.

### getUsername

@Deprecated public ByteString getUsername()
Deprecated.
xg.cmdcomp.LocalQueries.username is deprecated. See sharedMessages/clientWireProtocol.proto;l=421
`bytes username = 8 [deprecated = true];`

Specified by:
  `getUsername` in interface `ClientWireProtocol.LocalQueriesOrBuilder`
Returns:
  The username.

### setUsername

@Deprecated public ClientWireProtocol.LocalQueries.Builder setUsername(ByteString value)
Deprecated.
xg.cmdcomp.LocalQueries.username is deprecated. See sharedMessages/clientWireProtocol.proto;l=421
`bytes username = 8 [deprecated = true];`

Parameters:
  `value` - The username to set.
Returns:
  This builder for chaining.

### clearUsername

@Deprecated public ClientWireProtocol.LocalQueries.Builder clearUsername()
Deprecated.
xg.cmdcomp.LocalQueries.username is deprecated. See sharedMessages/clientWireProtocol.proto;l=421
`bytes username = 8 [deprecated = true];`

Returns:
  This builder for chaining.

### getCompleted

public boolean getCompleted()

     true if we should return rows for completed queries

`bool completed = 9;`

Specified by:
  `getCompleted` in interface `ClientWireProtocol.LocalQueriesOrBuilder`
Returns:
  The completed.

### setCompleted

public ClientWireProtocol.LocalQueries.Builder setCompleted(boolean value)

     true if we should return rows for completed queries

`bool completed = 9;`

Parameters:
  `value` - The completed to set.
Returns:
  This builder for chaining.

### clearCompleted

public ClientWireProtocol.LocalQueries.Builder clearCompleted()

     true if we should return rows for completed queries

`bool completed = 9;`

Returns:
  This builder for chaining.

### getUser

@Deprecated public ByteString getUser()
Deprecated.
xg.cmdcomp.LocalQueries.user is deprecated. See sharedMessages/clientWireProtocol.proto;l=423

     This is the byte string representation of a user_i instance

`bytes user = 10 [deprecated = true];`

Specified by:
  `getUser` in interface `ClientWireProtocol.LocalQueriesOrBuilder`
Returns:
  The user.

### setUser

@Deprecated public ClientWireProtocol.LocalQueries.Builder setUser(ByteString value)
Deprecated.
xg.cmdcomp.LocalQueries.user is deprecated. See sharedMessages/clientWireProtocol.proto;l=423

     This is the byte string representation of a user_i instance

`bytes user = 10 [deprecated = true];`

Parameters:
  `value` - The user to set.
Returns:
  This builder for chaining.

### clearUser

@Deprecated public ClientWireProtocol.LocalQueries.Builder clearUser()
Deprecated.
xg.cmdcomp.LocalQueries.user is deprecated. See sharedMessages/clientWireProtocol.proto;l=423

     This is the byte string representation of a user_i instance

`bytes user = 10 [deprecated = true];`

Returns:
  This builder for chaining.

### setUnknownFields

public final ClientWireProtocol.LocalQueries.Builder setUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Set the `UnknownFieldSet` for this message.

Specified by:
  `setUnknownFields` in interface `Message.Builder`
Overrides:
  `setUnknownFields` in class `GeneratedMessageV3.Builder<ClientWireProtocol.LocalQueries.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.LocalQueries.Builder mergeUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Merge some unknown fields into the `UnknownFieldSet` for this message.

Specified by:
  `mergeUnknownFields` in interface `Message.Builder`
Overrides:
  `mergeUnknownFields` in class `GeneratedMessageV3.Builder<ClientWireProtocol.LocalQueries.Builder>`